import { MDCBannerFoundation } from '@material/banner/foundation';
import { MDCBannerAdapter } from '@material/banner/adapter';
import { CloseReason } from '@material/banner/constants';
import { LitElement, TemplateResult } from 'lit';
import '../icon/icon';
export declare class AlertBase extends LitElement {
    protected mdcFoundation: MDCBannerFoundation;
    protected readonly mdcFoundationClass: typeof MDCBannerFoundation;
    private _resizeObserver;
    protected mdcRoot: HTMLElement;
    protected mdcContent: HTMLElement;
    protected mdcGraphicTextWrapper: HTMLElement;
    protected currentWidth: number;
    open: boolean;
    titleText: string;
    descriptionText: string;
    icon: string;
    iconAriaLabel: string;
    inline: boolean;
    /**
     * The state representation active|negative|positive|caution
     */
    state: string;
    constructor();
    disconnectedCallback(): void;
    protected reason: CloseReason;
    protected render(): TemplateResult<1>;
    /** @soyTemplate */
    protected renderIcon(): TemplateResult;
    protected createAdapter(): MDCBannerAdapter;
    /** @export */
    show(): void;
    /** @export */
    close(reason?: CloseReason): void;
    protected firstUpdated(): Promise<void>;
}
